Card Validation.
POST
card-validationThe getHostedPaymentPage API allows merchants to validate the card to use it for further transactions like tokenized Sale & Recurring Payments. In the request payload, if transactionType is set to 2, and the amount value is set to 0, iPOS-HPP API will validate the card input entered by the customer on the payment page form.
Header Parameters
token*
stringBody Parameters
merchantAuthentication
merchantId*
stringtransactionReferenceId*
stringtransactionRequest
transactionType*
numberamount*
stringcalculateFee
booleancalculateTax
booleantipsInputPrompt
booleanexpiry
numberfeeRemoved
booleaninvoiceTxn
booleanrequestCardToken
booleannotificationOption
notifyBySMS*
booleanmobileNumber
stringnotifyByPOST*
booleanpostAPI
stringauthHeader
stringnotifyByRedirect*
booleanreturnUrl
stringfailureUrl
stringcancelUrl
stringexpiry
numberpreferences
integrationType*
numberavsVerification
booleaneReceipt
booleaneReceiptInputPrompt
booleancustomerName
stringcustomerEmail
stringcustomerMobile
stringrequestCardToken
booleanshortenURL
booleansendPaymentLink
booleanintegrationVersion
stringlevel3CEDP
booleanPOSTcard-validation
1curl --location 'https://payment.ipospays.tech/api/v3/external-payment-transaction' \
2--header 'token: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "merchantAuthentication": {
6 "merchantId": "567025324141",
7 "transactionReferenceId": "TXNId00111223334571666"
8 },
9 "transactionRequest": {
10 "transactionType": 2,
11 "amount": "0",
12 "calculateFee": true,
13 "calculateTax": true,
14 "tipsInputPrompt": true,
15 "expiry": 7,
16 "feeRemoved": false,
17 "invoiceTxn": true,
18 "requestCardToken": true
19 },
20 "notificationOption": {
21 "notifyBySMS": false,
22 "mobileNumber": "",
23 "notifyByPOST": true,
24 "postAPI": "https://example.com/post-notification-endpoint",
25 "authHeader": "",
26 "notifyByRedirect": true,
27 "returnUrl": "https://example.com/payment-return",
28 "failureUrl": "https://example.com/payment-failure",
29 "cancelUrl": "",
30 "expiry": ""
31 },
32 "preferences": {
33 "integrationType": 1,
34 "avsVerification": true,
35 "eReceipt": true,
36 "eReceiptInputPrompt": "",
37 "customerName": "",
38 "customerEmail": "",
39 "customerMobile": "+14242424243",
40 "requestCardToken": true,
41 "shortenURL": "",
42 "sendPaymentLink": true,
43 "integrationVersion": "v2",
44 "level3CEDP": ""
45 }
46}'
Response
// Awaiting response…
Sample response
{
"message": "URL generated successfully",
"information": ""
}